Subject: Re: [yang-doctors] Yangdoctors last call review of draft-ietf-netmod-factory-default-07

From: Qin Wu <[email-masked]>
Date: Sat, 30 Nov 2019 13:04:15 +0000

Thanks Carl and will fix them.

-Qin
-----邮件原件-----
发件人: Carl Moberg via Datatracker [mailto:[email-masked]] 
发送时间: 2019年11月27日 22:35
收件人: [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]
主题: Yangdoctors last call review of draft-ietf-netmod-factory-default-07

Reviewer: Carl Moberg
Review result: Ready with Nits

This is my YANG doctors review of the ietf-factory-default.yang module as part of draft-ietf-netmod-factory-default-07.

The module cleanly passes validation using the YANG validator site and I have successfully loaded it into one NETCONF server implementation.

This module is ready with a cosmetic nit and a suggestion.

I suggest fixing the following textual nit:

OLD
       configuration datastores (i.e.,<running> , <startup><candidate>) to
       their factory default content.";

NEW:
       configuration datastores (i.e. <running>, <startup>, and
       <candidate>) to their factory default content.";

I suggest adding a revision-date to the filename in the <CODE BEGINS> block.

OLD:
 <CODE BEGINS> file "ietf-factory-default.yang"

 NEW:
 <CODE BEGINS> file "[email-masked]"

 (Obviously replacing the date with the release date of the module)